Subject: RE: Help installing under Cygwin/NT4
From: "Gerrit P. Haase" <[email-masked]>
To: Scott Hill <[email-masked]>
Cc: [email-masked]
Date: Fri, 5 Jan 2001 23:09:21 +0100

<5 Jan 2001, 13:53 Uhr wars, als Scott Hill folgendes schrub:>
< RE: Help installing under Cygwin/NT4 >

No, sorry, this problem i got no suggests for, 
i made a CC to [email-masked], maybe you get answers there.

Look in the cygwin archives for this issue (and the docs).
http://www.cygwin.com/ml/cygwin

> Thanks! Moving head.exe out of /bin to /usr/local/bin worked to get libwww
> installed. Unfotunately, I'm having a further problem. I'm trying to use
> libwww to grab a page from an SSL server (I'm testing this with the sample
> code in lwpcook). This is working from Linux, but not Win32. I have
> installed the prerequsites: OpenSSL, Crypt::SSLeay, etc. Under Cygwin, I'm
> getting this error:
> 
> ----
> administrator@SHILL ~/loadtester
> $ perl load2.pl
> Can't call method "request" on an undefined value at
> /usr/lib/perl5/site_perl/5.6.1/LWP/UserAgent.pm line 227.
> ----
> 
> OpenSSL is installed in /usr/local/ssl as requested by Crypt::SSLeay and the
> install tests worked fine. Any ideas?
> 
> Thanks again!
> 
> --Scott
[...]
> <Den 4 Jan 2001, 17:31 Uhr, hat Scott Hill geschrieben:>
> < Help installing under Cygwin/NT4 >
> 
> > I've been trying to get libwww installed under Perl 5.6.1 on Cygwin
> > (running on WinNT4 SP6a), with no success. It works as planned under
> > Linux. Hopefully someone here can help.
> [...]
> > Cannot forceunlink /usr/bin/HEAD: No such file or directory at
> > /usr/lib/perl5/5.6.1/cygwin/File/Find.pm line 5
> > 19
> > make: *** [pure_site_install] Error 255
> > 
> > --------------------------------------------------------------
> 
> There is an case-sensitivity problem on cygwin, maybe the cause for this
> error.
> 
> In cygwin dist, there is a tool included, called head.exe.
> Since there is no case-sensitivity on windows/cygwin, you can't call
> head.exe or HEAD. I installed perl in /usr/local/bin and changed my path,
> so that at first head.exe in /bin is called.
> 
> DEVELOPER: maybe it is possible, to rename HEAD from libwww?
> 
> Should be no problem with case-sensitive matching.
> 
> Easiest would be, to build perl from source (Eric Fifers src for cygwin
> works 
> very well), but to patch it, so that it installs in /usr/local
> 
> (More easier is, to move head.exe out of /bin to /usr/local/bin)
> 
> I will try to figure out, who to make cygwin case-sensitive.
> 
> Look also here: http://sources.redhat.com/ml/cygwin/2000-07/msg00119.html
> and read the follow-ups.
> 

[fullquote trashed]

-- 
=^..^=
Gerrit Peter Haase
ID: 0x28A05137
FP: 875C 745E 01CF 8A34 2767  BE39 305E 5261 28A0 5137

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple